Name: dosemu
Version: 1.1.4
Release: alt3
Serial: 1
Packager: Grigory Batalov <bga@altlinux.ru>

Summary: The Linux DOS emulator
Summary(ru_RU.KOI8-R):  DOS  Linux
License: GPL
Group: Emulators
Url: http://dosemu.sourceforge.net/

Source0: http://telia.dl.sourceforge.net/sourceforge/dosemu/dosemu-1.1.4.tar.bz2

# icons from Mandrake
Source2: xdosemu.xpm.gz
Source3: xdosemu-mini.xpm.gz
Source4: xdosemu-large.xpm.bz2

# patch 1.1.4 -> 1.1.4.3
Source7: http://dosemu.sourceforge.net/testing/patchset-1.1.4.3.tar.bz2

# compiled fonts (sources are included)
Source10: vga-cp866.pcf.gz
Source11: vga10x20-cp866.pcf.gz
Source12: vga11x19.pcf.gz
# default /etc/dosemu.users
Source13: dosemu.users.gz

# enable/disable plugins and optimizations
Patch3: dosemu-1.1.4-alt-compile.patch.gz
# bdftopcf removing
Patch4: dosemu-1.1.4-alt-makefile4.patch.gz
# HP1100 cp866 fonts howto and README.ALT
Patch6: dosemu-1.1.4-alt-docs.patch.bz2
# define locale while installing to user's directory
Patch7: dosemu-1.1.4-alt-locale.patch.gz
# cp1251 translation tables
Patch8: dosemu-1.1.4-alt-cp1251.patch.bz2
# changing dos-image installing method
Patch10: dosemu-1.1.4-alt-proprietary.patch.gz

# patches from SourceForge bugtracker
# loop in coopthreads removed (ID #605551)
Patch11: dosemu-1.1.4-stas-coopthreads.diff.gz
# newlines in X-selection (ID #666068)
Patch13: dosemu-1.1.4-bart-x_c.diff.gz
# MFS bug (ID #666518)
Patch14: dosemu-1.1.4.3-bart-mfsfix.diff.gz

# oplocks fix (?) (Sergey Suleymanov)
# (just stored here, not applied)
Patch16: dosemu-1.1.3.2-oplocks.patch.gz

# PrtScr to LPT1 instead of LPT2 (Stas Sergeev)
Patch17: dosemu-1.1.4-stas-pr0.diff.gz

# Patches from Stas Sergeev <stssppnn@yahoo.com>
# http://dosemu.sourceforge.net/stas/

# patch to make Doom2 and Duke3d work with sound
# to enable hack set $_features="0:10" in dosemu.conf
Patch21: http://dosemu.sourceforge.net/stas/dpmi_sti4a.diff.gz
# enforces the PIC reentrancy protection and fixes several bugs
Patch22: http://dosemu.sourceforge.net/stas/pic_prot.diff.gz
# adds some missing instructions to instremu
Patch29: http://dosemu.sourceforge.net/stas/missing_insns3.diff.bz2
# removes the possibility of an unhandled segfault
Patch32: http://dosemu.sourceforge.net/stas/check_sels4b.diff.gz

# Comcom patches by Clarence Dang <dang@kde.org>
Patch34: dosemu-1.1.4-dang-comcom-exist-exec.patch.gz
Patch35: dosemu-1.1.4-dang-comcom-space.patch.gz
# and Stas Sergeev
Patch36: dosemu-1.1.4-stas-comcom.diff.gz

Obsoletes: xdosemu
Provides: xdosemu = %version-%release

# Automatically added by buildreq on Wed Dec 25 2002
BuildRequires: XFree86-devel flex

%description
This package allows MS-DOS programs to be started in Linux. A virtual
machine (the DOS box) provides the necessary BIOS functions and emulates
most of the chip devices (e.g. timer, interrupt- and keyboard controler)
Documentation can be found in %_defaultdocdir/%name-%version and in the man
page, as well as in the sources.
You probably need dosemu-freedos package too.

Warning! This is latest unstable version!

%description -l ru_RU.KOI8-R
    MS-DOS  Linux. 
 (DOS)    BIOS  
  (,  ,  
 ).     %_defaultdocdir/%name-%version
    (man). , ,   .
,     dosemu-freedos.

!       !

%prep
%setup -q
# template for future patchsets
%__tar xjf %SOURCE7
sh tmp/do_patch

%patch3 -p0
%patch4 -p1
%patch6 -p1
%patch7 -p0
%patch10 -p0

%patch11 -p0
%patch13 -p1
%patch8  -p1
%patch14 -p1

%patch17 -p0

%patch21 -p0
%patch22 -p0
%patch29 -p0
%patch32 -p0

%patch34 -p1
%patch35 -p1
%patch36 -p0

# enabling hack with $_features="0:10" in _every_ dosemu.conf
%__subst "s!\#\(\$_features[[:space:]]*=[[:space:]]*\)\"\"!\1\"0:10\"!g" etc/dosemu.conf
# link to missing configure script
ln -s default-configure configure

%build
%configure --enable-runasroot
echo | %make
%make_build dosbin

%install
# copy precompiled VGA fonts
%__install -m644 {%SOURCE10,%SOURCE11,%SOURCE12} etc
# install itself
%makeinstall docdir=%buildroot%_defaultdocdir/%name-%version \
             syshdimagedir=%buildroot%_localstatedir/dosemu \
	     real_dosemudir=%_datadir/dosemu
# default /etc/dosemu.users
%__gzip -cd %SOURCE13 > %buildroot%_sysconfdir/dosemu.users
# copy icons
%__mkdir_p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
%__gzip  -cd %SOURCE2 > %buildroot%_iconsdir/xdosemu.xpm
%__gzip  -cd %SOURCE3 > %buildroot%_miconsdir/xdosemu.xpm
%__bzip2 -cd %SOURCE4 > %buildroot%_liconsdir/xdosemu.xpm
# adjusting docs
%__mv %buildroot%_sysconfdir/global.conf.example %buildroot%_defaultdocdir/%name-%version
%__install -m644 doc/{HP1100-cp866-fonts-HOWTO.txt,README.ALT} %buildroot%_defaultdocdir/%name-%version

# Menu entry for xdosemu
%__mkdir_p %buildroot%_menudir
%__cat >%buildroot%_menudir/xdosemu <<EOF
?package(%name):command="%_bindir/xdosemu -quiet" needs="X11" \
icon="xdosemu.xpm" section="Emulators" title="DOS emulator" \
longtitle="DOS emulator running under X"
EOF

%post
# (making fontlist)
if [ -x %_x11bindir/mkfontdir ]; then
   (cd %_datadir/dosemu/Xfonts; %_x11bindir/mkfontdir)
fi
%update_menus

%preun
# (removing fontlist)
if [ $1 = "0" -a -f %_datadir/dosemu/Xfonts/fonts.dir ]; then
   %__rm -f %_datadir/dosemu/Xfonts/fonts.dir
fi

%postun
%clean_menus

%files
%config(noreplace) %_sysconfdir/dosemu.conf
%config(noreplace) %_sysconfdir/dosemu.users
%_bindir/*
%_menudir/xdosemu
%dir %_localstatedir/dosemu
%dir %_datadir/dosemu
%_datadir/dosemu/*
%_iconsdir/xdosemu.xpm
%_miconsdir/xdosemu.xpm
%_liconsdir/xdosemu.xpm
%doc %_defaultdocdir/%name-%version
%doc %_man1dir/*

%changelog
* Sun Jan 12 2003 Grigory Batalov <bga@altlinux.ru> 1:1.1.4-alt3
- Wrong links in dosemu-bin.tgz fixed
- Dosemu updated to 1.1.4.3
- Patches from SourceForge bugtracker included:
  + loop in coopthreads (ID #605551)
  + newlines in X selection (ID #666068)
  + MFS bug (ID #666518)
- PrtSrc patch by Stas Sergeev
- Comcom patches by Clarence Dang and Stas Sergeev

* Wed Jan 08 2003 Grigory Batalov <bga@altlinux.ru> 1:1.1.4-alt2
- Another parsing method choosen
- System-wide cyrillic defaults removed

* Fri Dec 27 2002 Grigory Batalov <bga@altlinux.ru> 1:1.1.4-alt1.1
- Preun section fixed

* Sun Dec 22 2002 Grigory Batalov <bga@altlinux.ru> 1:1.1.4-alt1
- DOSEmu upgraded to 1.1.4
- Dosemu-freedos-bin.tgz moved to external package

* Fri Nov 01 2002 Grigory Batalov <bga@altlinux.ru> 1:1.1.3-alt5
- DOSEmu upgraded to 1.1.3.5
- Remaining patches from Stas Sergeev updated
- CP1251 support fixed

* Sun Aug 11 2002 Grigory Batalov <bga@altlinux.ru> 1:1.1.3-alt4
- DOSEmu updated to 1.1.3.2
- Patches from Stas Sergeev updated
- Kernel upgraded to 1.1.26b (build 2026b)
- FreeCOM (command.com) upgraded to 0.83 beta 44

* Thu Apr 11 2002 Grigory Batalov <bga@altlinux.ru> 1.1.3-alt3
- Fixed execution by root
- Removed systemwide fonts

* Mon Apr 08 2002 Grigory Batalov <bga@altlinux.ru> 1.1.3-alt2
- Specfile ceanup

* Thu Apr 04 2002 Grigory Batalov <bga@altlinux.ru> 1.1.3-alt1
- 1.1.3
- Added cp1251 layout and cp866 fonts

* Sat Jan 13 2001 AEN <aen@logic.ru> 1.0.1-ipl8mdk
- RE  adaptation

* Thu Oct 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1-7mdk
- Fix gcc2.96  and various compilation problems.

* Wed Sep 20 2000 Francis Galiegue <fg@mandrakesoft.com> 1.0.1-6mdk
- Large icon is now transparent
- Let users at least do some things

* Fri Sep 15 2000 Francis Galiegue <fg@mandrakesoft.com> 1.0.1-4mdk
- More macros
- Added large icon
- fix %post for menus

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.1-3mdk
- automatically added BuildRequires

* Thu Jul 20 2000 Francis Galiegue <fg@mandrakesoft.com> 1.0.1-2mdk
- BMacros
- hdimage.freedos is %config(noreplace)

* Wed Jul 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.1-1mdk
- new release

* Mon Apr 10 2000 Francis Galiegue <fg@mandrakesoft.com> 1.0.0-5mdk

- Use new icons from LN
- Menu entry changed accordingly
- no icon for dosemu package, only for xdosemu

* Fri Apr 07 2000 Francis Galiegue <fg@mandrakesoft.com> 1.0.0-4mdk

- freedos doesn't depend on dosemu
- freedos provides dosimage
- Both xdosemu and dosemu require dosimage
- Doubt: is mtools a Requires or a BuildRequires ?

* Mon Apr 03 2000 Francis Galiegue <fg@mandrakesoft.com> 1.0.0-3mdk

- Added %defattr for freedos

* Wed Mar 22 2000 Francis Galiegue <fg@mandrakesoft.com> 1.0.0-2mdk

- Rebuilt on kenobi

* Mon Mar 13 2000 Francis Galiegue <francis@mandrakesoft.com> 1.0.0-1mdk

- Version 1.0.0
- Changed group to match those of 7.1
- Build as non root
- Added menu entry for xdos
- spec file rework
- let spec-helper do its job
* Tue Dec 07 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- added _tmppath in buildroot
- build release

* Wed Jul 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 0.99.13 version.

* Mon Jul 05 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Reinserting Mandrake adaptations for maintenance release.

* Mon Jun 07 1999 Dale Lovelace <dale@redhat.com>
- remove ^H's from documentation
- freedos version beta 2
- add autoexec.bat and config.sys for path
- add freedos utils
- add vim

* Wed Mar 31 1999 Preston Brown <pbrown@redhat.com>
- add dexe stuff back into package

* Fri Mar 26 1999 Preston Brown <pbrown@redhat.com>
- remove hdimage.first link on deinstallation of freedos.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 2)

* Wed Mar 17 1999 Matt Wilson <msw@redhat.com>
- fixed %post and %postun scripts
- version 0.99.10

* Tue Jan 12 1999 Matt Wilson <msw@redhat.com>
- version 0.99.6

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- version 0.98.1
- freedos has its own subpackage

* Wed Jun 24 1998 Alan Cox <alan@redhat.com>
- Wrote additional fixes for dexe overflow problem in parser.y

* Tue Jun 23 1998 Alan Cox <alan@redhat.com>
- Applied the security fixes from Hans Lerman

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- added DOS-C kernel and FreeDos utilities

* Thu Jan 29 1998 Cristian Gafton <gafton@redhat.com>
- updated spec file to include all the available commands
- uses a buildroot
- ship mkfatimage16, which is the only binary that can create a real hdimage
  file

* Mon Nov 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- Updated to 0.66.7
- Ported to glibc

* Wed Apr 16 1997 Erik Troan <ewt@redhat.com>
- Updated to 0.66.2.
- Removed /usr/bin/load-dosmods as we don't need emumod.o anymore

* Tue Mar 11 1997 Michael K. Johnson <johnsonm@redhat.com>
- Modify the default configuration file to use /var/lock in
  ascii format for lock files, as specified in the FSSTD/FHS.

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>
- Assume vm86plus system call does not exist.
- N.B. This should be changed in a future version with a later kernel
  that supports that system call by default.
- Install the mkhdimage program.
